summaryrefslogtreecommitdiff
path: root/pcr/openrc-misc/xe-daemon.initd
diff options
context:
space:
mode:
Diffstat (limited to 'pcr/openrc-misc/xe-daemon.initd')
-rw-r--r--pcr/openrc-misc/xe-daemon.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/pcr/openrc-misc/xe-daemon.initd b/pcr/openrc-misc/xe-daemon.initd
new file mode 100644
index 000000000..50519065f
--- /dev/null
+++ b/pcr/openrc-misc/xe-daemon.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/xe-guest-utilities/files/xe-daemon.initd,v 1.1 2014/06/23 14:30:35 robbat2 Exp $
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+start() {
+ einfo "Detecting Linux distribution version"
+ /usr/sbin/xe-linux-distribution /var/cache/xe-linux-distribution
+
+ ebegin "Starting xe daemon"
+ start-stop-daemon --start --exec /usr/sbin/xe-daemon \
+ --pidfile /var/run/xe-daemon.pid \
+ --background \
+ -- -p /var/run/xe-daemon.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xe daemon"
+ start-stop-daemon --stop --exec /usr/sbin/xe-daemon \
+ --pidfile /var/run/xe-daemon.pid
+ eend $?
+}